Subject: Re: bug#22292: 25.0.50; xref-find-references doesn't find anything for Lisp symbols

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Jan 2016 17:32:24 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sat, 2 Jan 2016 16:29:57 +0200
> 
> > Can you guide me through the call sequence?  Debugging xref and its
> > back-ends is a pain.
> 
> You don't need to worry about xref backends here, only about CEDET 
> tools. Try debugging xref-collect-references.

I did, but Edebug cannot step into cl-defmethod's, cl-defgeneric etc.
Any tricks up your sleeves to make that work?  I'd give half the
kingdom for being able to debug into those.

> It calls semantic-symref-find-references-by-name, which
> calls semantic-symref-instantiate (which detects the tool used in the 
> current directory), then delegates the search to the tool's logic via 
> the generics semantic-symref-get-result and semantic-symref-perform-search.
> 
> The Grep implementation for that stuff lives in 
> lisp/cedet/semantic/symref/grep.el.

Thanks, that was what I needed.

I fixed the problem.  I cannot believe we still have (had) such code
in our repository, but facts are stubborn.

So, one less bug that's blocking v25.1 ;-)